cURL
curl --request GET \
--url https://api.pricenow.dev/api/products \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>'import requests
url = "https://api.pricenow.dev/api/products"
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>'
}
};
fetch('https://api.pricenow.dev/api/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"sortOrder": 123,
"name": "<string>",
"translation": "<string>",
"identifier": "<string>",
"isSubscription": true,
"standalone": true,
"hasValidity": true,
"content": {
"title": "<string>",
"caption": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"images": [
{
"imageUrl": "<string>",
"altText": "<string>",
"lqip": "<string>",
"hotspot": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
],
"tags": [
{
"caption": "<string>",
"description": "<string>",
"icon": "<string>"
}
],
"seoTitle": "<string>",
"seoDescription": "<string>",
"seoKeywords": [
"<string>"
],
"seoImages": [
{
"imageUrl": "<string>",
"altText": "<string>",
"lqip": "<string>",
"hotspot": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
],
"banner": {
"text": "<string>",
"color": "<string>",
"icon": "<string>",
"cta": {
"title": "<string>",
"product": {
"slug": "<string>"
},
"link": "<string>",
"page": {
"slug": "<string>"
},
"newTab": true
}
}
},
"merchant": {
"identifier": "<string>",
"timezone": "<string>"
},
"category": {
"id": 123,
"title": "<string>",
"description": "<string>",
"sortOrder": 123,
"tags": [
"<string>"
]
},
"standardPriceRange": {
"minPrice": 123,
"maxPrice": 123
},
"standardPriceToday": 123,
"standardProductVariantId": 123,
"productVariants": [
{
"id": 123,
"name": "<string>",
"translation": "<string>",
"vatRate": 123,
"productId": 123,
"availableMedia": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"requiredProductVariants": [
{
"id": 123,
"name": "<string>",
"translation": "<string>",
"vatRate": 123,
"productId": 123,
"attributes": [
{
"name": "<string>",
"identifier": "<string>",
"value": "<string>",
"sortOrder": 123,
"metaInformation": {},
"translation": "<string>"
}
]
}
]
}
],
"attributes": [
{
"name": "<string>",
"identifier": "<string>",
"value": "<string>",
"sortOrder": 123,
"metaInformation": {},
"translation": "<string>"
}
],
"externalIds": [
{
"system": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"priceRange": {
"minPrice": 123,
"maxPrice": 123
}
}
],
"nextAvailability": {}
}
]
}products
Get apiproducts
Get all products
GET
/
api
/
products
cURL
Headers
Language of the response
Available options:
en, de, fr, it UUID of the sales channel
Query Parameters
Available options:
desc, asc - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Available options:
nextAvailability Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

